- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- ActionSummary
Full name: projects.locations.instances.actionExecutor.fetchActions
List all actions that can be executed on a given SIEM alert.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/actionExecutor:fetchActions
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns the collection of actions. |
Query parameters
| Parameters | |
|---|---|
siemAlertId |
Required. The identifier of the SIEM alert. |
alertUseCase |
Optional. Optional alert use case to resolve into outcome categories. |
outcomeCategories[] |
Optional. Optional outcome categories to filter by. |
actionCategory |
Optional. Optional action category to filter actions by. Defaults to ACTION_CATEGORY_REMEDIATION when omitted or ACTION_CATEGORY_UNSPECIFIED. |
Request body
The request body must be empty.
Response body
Response for actionExecutor.fetchActions.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"actions": [
{
object ( |
| Fields | |
|---|---|
actions[] |
List of actions that can be executed on the SIEM alert. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
ActionSummary
Summary details of an action.
| JSON representation |
|---|
{ "integration": string, "integrationInstance": string, "action": string, "entityTypes": [ string ], "shortDescription": string } |
| Fields | |
|---|---|
integration |
The integration identifier. |
integrationInstance |
The integration instance identifier. |
action |
The action display name. |
entityTypes[] |
The supported target entity types for this action. |
shortDescription |
A short description of the action. |